
<?php

defined( '_VALID_MOS' ) or die 	('Direct access to this file is not allowed!');

	//USER INTERFACE
DEFINE("_FB_FIRST",	"First");
DEFINE("_FB_PREVIOUS",	"Previous");
DEFINE("_FB_NEXT",	"Next");
DEFINE("_FB_LAST",	"Last");
DEFINE("_FB_PAGE",	"Page");

	//MAIN PAGE OF THE COMPONENT
DEFINE("_FB_CONFIGURATION",	"Configuration");
DEFINE("_FB_MANAGE_BOOKS",	"Manage books");
DEFINE("_FB_MANAGE_PAGES",	"Manage pages");
DEFINE("_FB_MANAGE_FILES",	"Manage files");
DEFINE("_FB_UPLOAD_FILES",	"Upload files");
DEFINE("_FB_HELP",	"Help");
DEFINE("_FB_LICENSE_TYPE",	"License type: commercial");
DEFINE("_FB_LICENSE_FAQ",	"License FAQ");
DEFINE("_FB_LICENSE_FAQ_TEXT",	'<strong>May I share the installation file with my colleagues?</strong><br />
	<span style="color:#FF0000; font-weight:bold;">No. It is not in your interests to share this product with third parties.</span> We keep a record of technical support requests. There may be a situation where a person with whom you shared the component sends a technical support request from a wrong address. We will consider it a transfer of the component to a third party, and your license will be revoked. As a result, you will no longer be able to receive free updates and technical support. <br /><br />
	<strong>Am I required to buy a license for each site that will be using this component?</strong><br />
	<span style="color:#FF0000; font-weight:bold;">Yes. Each license covers only one site.</span> You must buy additional licenses for each site where the component will be installed.<br /><br />
	<strong>What are the usage rights for this component?</strong><br />
	The product may be used as part of a personal or commercial site. You may not sell the product to third parties. The source code of the product may be modified for personal use as part of your project only. But in this case you will no longer be able to receive technical support. 
	<br /><br />
	<strong>A client for whom I developed a site has requested the original installation file of the component. May I hand it over?</strong><br />
	Yes. The installation file must be handed over to the client.
	<br /><br />
	<strong>May I sell the component as part of my own product?</strong><br />
	When selling the component as part of your own product, you must buy a license for each product that you sell. If you need to use the component as part of a commercial project, please contact our technical support service by e-mail.');
DEFINE("_FB_SUPPORT_UPDATES",	"Support");
DEFINE("_FB_SUPPORT_UPDATES_TEXT",	 '<strong>I experience problems while using the component.</strong><br />
	Please describe the nature of your problem in a letter and e-mail it along with screenshots (if available) to the technical support service. The letter must be sent from the e-mail address you specified upon registration. Please be sure to include the license number you received at the time of purchase. The technical support service normally replies to e-mails within 24 hours.<br /><br />
	<strong>What is the maximum size of images and number of pages?</strong><br />
	The size and resolution of images should not be too large, as loading and flipping pages will take a long time on a PC with a slow CPU and Internet connection. For best results we recommend using images corresponding to the book size (book size is configured in its properties).
	The number of pages in a book is not limited, and the component works perfectly with hundreds of pages. The component does not store all pages in memory so that 30 pages will not consume 300 Mb of RAM. Usually, performance is affected when the number of pages exceeds 1,000.<br /><br />
	<strong>Will I receive updates?</strong><br />
	Yes. You may always contact the technical support service by e-mail and request the latest version of the component. Be sure to send the e-mail from the address you specified when buying the component and include the license number. All updates for the current version are free for all licensed users.');
DEFINE("_FB_COPYRIGHTS",	"Copyright");
DEFINE("_FB_COPYRIGHTS_TEXT",	"Copyright &copy; 2007 FB Media Solutions.<br />All rights reserved.");
DEFINE("_FB_CONTACTS",	"Contacts");
DEFINE("_FB_CONTACTS_TEXT",	'Technical support:<br /><a href="mailto:support@page-flip-tools.com">support@page-flip-tools.com</a>');

//CONFIGURATION PAGE
DEFINE("_FB_PARAMETER",	"Parameter");
DEFINE("_FB_VALUE",	"Value");
DEFINE("_FB_DESCRIPTION",	"Description");
DEFINE("_FB_PREVIEW_WIDTH",	"Preview width");
DEFINE("_FB_PREVIEW_WIDTH_DESCR",	"Preview is an image shown in the book list. The width parameter determines its width in pixels.");
DEFINE("_FB_PREVIEW_HEIGHT",	"Preview height");
DEFINE("_FB_PREVIEW_HEIGHT_DESCR",	"Preview height in pixels.");
DEFINE("_FB_BACKGROUND_COLOR",	"Background color");
DEFINE("_FB_BACKGROUND_COLOR_DESCR",	"Color is expressed in the 0xRRGGBB format where RRGGBB is the hexadecimal representation of a color.");
DEFINE("_FB_SELECT_COLOR",	"Select color");
DEFINE("_FB_SHOW_NAVIGATION",	"Show navigation");
DEFINE("_FB_SHOW_NAVIGATION_DESCR",	"This parameter determines whether navigation is shown.");
DEFINE("_FB_SHOW_DESCRIPTION",	"Show description");
DEFINE("_FB_SHOW_DESCRIPTION_DESCR",	"This parameter determines whether book description is shown.");
DEFINE("_FB_SHOW_BOOK_NAME",	"Show book name");
DEFINE("_FB_SHOW_BOOK_NAME_DESCR",	"This parameter determines whether book name is shown.");
DEFINE("_FB_BOOK_LIST_TITLE",	"Book list title");
DEFINE("_FB_BOOK_LIST_TITLE_DESCR",	"The title displayed above the book list.");
DEFINE("_FB_COLUMNS",	"Columns in list");
DEFINE("_FB_COLUMNS_DESCR",	"Number of columns in the book list.");
DEFINE("_FB_ALWAYS_OPENED",	"Book always opened");
DEFINE("_FB_ALWAYS_OPENED_DESCR",	"A mode whereby the book is always opened.");
DEFINE("_FB_FIRST_PAGE",	"First page");
DEFINE("_FB_FIRST_PAGE_DESCR",	"Number of the page to which loaded books will open.");
DEFINE("_FB_FLIP_SOUND",	"Flip sound");
DEFINE("_FB_FLIP_SOUND_DESCR",	"The sound you hear when flipping a page. Use file manager to upload MP3 files.");
DEFINE("_FB_PRELOADER_TYPE",	"Preloader type");
DEFINE("_FB_PRELOADER_TYPE_DESCR",	"Type of preloader animation shown when files are loaded.");
DEFINE("_FB_FLIP_ON_CLICK",	"Flip on click");
DEFINE("_FB_FLIP_ON_CLICK_DESCR",	"When set to false, pages can be flipped only by clicking or dragging the corners of pages. When set to true, clicking a page will flip it.");
DEFINE("_FB_SCALE_CONTENT",	"Scale content");
DEFINE("_FB_SCALE_CONTENT_DESCR",	"This parameter determines whether the image will be stretched to match the page format or displayed in the original picture size.");
DEFINE("_FB_CLOSE_SPEED",	"Flip speed");
DEFINE("_FB_CLOSE_SPEED_DESCR",	"Speed of the page flipping animation. We recommend a value in the range of 2 to 5.");
DEFINE("_FB_MOVE_SPEED",	"Move speed");
DEFINE("_FB_MOVE_SPEED_DESCR",	"Speed with which the page corner moves toward the pointer. We recommend a value in the range of 2 to 5.");
DEFINE("_FB_LOAD_ON_DEMAND",	"Load on demand");
DEFINE("_FB_LOAD_ON_DEMAND_DESCR",	"If set to false, all images will be loaded before you start using the book. Otherwise, all images will be loaded gradually as you progress through the book. We recommend disabling this parameter as the user might have to wait for a long time when there is a large number of pages.");
DEFINE("_FB_CACHE_PAGES",	"Cache pages");
DEFINE("_FB_CACHE_PAGES_DESCR",	"Enable/disable page caching. We recommend enabling page caching.");
DEFINE("_FB_CACHE_SIZE",	"Cache size");
DEFINE("_FB_CACHE_SIZE_DESCR",	"Number of pages that are preloaded as you flip through the book. The recommended value is 8 to 15.");
DEFINE("_FB_STYLE",	"Style");
DEFINE("_FB_STYLE_DESCR",	'Select one of the offered skin styles. You may also edit the CSS file in the components/com_flippingbook/css directory.');
DEFINE("_FB_LANGUAGE",	"Language");
DEFINE("_FB_LANGUAGE_DESCR",	"Select one of the offered languages.");

	//FILE UPLOADS
DEFINE("_FB_SELECT_FILES",	"Select a jpg, gif, bmp, png, swf, or mp3 file on your PC to upload it to the site:");
DEFINE("_FB_UPLOAD_TEXT",	'The file will be uploaded to the [Joomla root]/images/flippingbook/ directory<br>
	Once these files are uploaded, you will be able to use them as book pages, book previews, background images or flip sounds.<br /><br />
	You may also use <a href="index2.php?option=com_media">Media-manager</a> to upload, rename or delete files in the [Joomla root]/images/flippingbook/&quot; directory.');
DEFINE("_FB_FILE_ATTENTION",	'Select file you\'d like to upload and click "Save" on the top bar.<br /><br />
	<span style="color:#FF0000"><strong>Invalid characters in the filename: <br /></strong>
	<pre style="display:inline"><strong>+ { ; &quot; \ = ? ~ ( ) &lt; &gt; &amp; * | $</strong></pre>
	<strong> &nbsp;and space<br />
	To ensure full compatibility, we recommend that you only use Latin characters, numerals, and symbols _ -</strong></span> . <br />
	For your convenience, use meaningful filenames, such as &quot;bookname1_page01.jpg&quot;, &quot;bookname1_preview.jpg&quot;.');

	//FILE MANAGER	
DEFINE("_FB_SELECT",	"Select");
DEFINE("_FB_FILE_NAME",	"Filename"); 
DEFINE("_FB_RENAME",	"Rename"); 
DEFINE("_FB_NEW_FILE_NAME",	"New filename"); 
DEFINE("_FB_RENAME_TEXT",	'Enter the new filename and click &quot;Save&quot; button on the top bar. <br />
	<span style="color:#FF0000"><strong>Invalid characters in the filename:<br /></strong>
	<pre style="display:inline"><strong>+ { ; &quot; \ = ? ~ ( ) &lt; &gt; &amp; * | $</strong></pre>
	<strong> &nbsp;and space<br />
	To ensure full compatibility, we recommend that you only use Latin characters, numerals, and symbols _ -</strong></span>.');

	//BOOK MANAGER
DEFINE("_FB_NAME",	"Book name"); 
DEFINE("_FB_PUBLISHED",	"Published"); 
DEFINE("_FB_ORDER",	"Order"); 
DEFINE("_FB_ERROR_BOOK_NAME",	"You must fill in the BOOK NAME.");
DEFINE("_FB_ERROR_FLASH_WIDTH",	"You must fill in the FLASH WIDTH.");
DEFINE("_FB_ERROR_FLASH_WIDTH_NUM",	"FLASH WIDTH must contain a numerical value."); 
DEFINE("_FB_ERROR_FLASH_HEIGHT",	"You must fill in the FLASH HEIGHT.");
DEFINE("_FB_ERROR_FLASH_HEIGHT_NUM",	"FLASH HEIGHT must contain a numerical value.");
DEFINE("_FB_ERROR_BOOK_WIDTH",	"You must fill in the BOOK WIDTH.");
DEFINE("_FB_ERROR_BOOK_WIDTH_NUM",	"BOOK WIDTH must contain a numerical value."); 
DEFINE("_FB_ERROR_BOOK_HEIGHT",	"You must fill in the BOOK HEIGHT.");
DEFINE("_FB_ERROR_BOOK_HEIGHT_NUM",	"BOOK HEIGHT must contain a numerical value."); 
DEFINE("_FB_ERROR_AUTO_FLIP",	"You must fill in the FLIP AREA.");
DEFINE("_FB_ERROR_AUTO_FLIP_NUM",	"FLIP AREA must contain a numerical value."); 
DEFINE("_FB_ERROR_STATIC_SHADOW",	"You must fill in the STATIC SHADOW.");
DEFINE("_FB_ERROR_STATIC_SHADOW_NUM",	"STATIC SHADOW must contain a numerical value."); 
DEFINE("_FB_ERROR_DYNAMIC_SHADOW",	"You must fill in the DYNAMIC SHADOW.");
DEFINE("_FB_ERROR_DYNAMIC_SHADOW_NUM",	"DYNAMIC SHADOW must contain a numerical value."); 
DEFINE("_FB_NEW_BOOK",	"New book");
DEFINE("_FB_EDIT_BOOK",	"Edit book"); 
DEFINE("_FB_BOOK_NAME",	"Book name"); 
DEFINE("_FB_IMAGE_PREVIEW",	"Preview image");
DEFINE("_FB_BACKGROUND_IMAGE",	"Background image");
DEFINE("_FB_FLASH_WIDTH",	"Flash width"); 
DEFINE("_FB_FLASH_HEIGHT",	"Flash height"); 
DEFINE("_FB_BOOK_WIDTH",	"Book width"); 
DEFINE("_FB_BOOK_HEIGHT",	"Book height"); 
DEFINE("_FB_PAGE_BG_COLOR",	"Page background color");
DEFINE("_FB_ROTATION",	"Rotation angle");
DEFINE("_FB_AUTO_FLIP",	"Flip area");
DEFINE("_FB_STATIC_SHADOW_DEPTH",	"Static shadow");
DEFINE("_FB_DYNAMIC_SHADOW_DEPTH",	"Dynamic shadow");
DEFINE("_FB_URL_BOOK",	"Book URL"); 
DEFINE("_FB_IMAGE_PREVIEW_DESCR",	"Image displayed in the book list.");
DEFINE("_FB_BACKGROUND_IMAGE_DESCR",	"Image displayed in the background of book pages."); 
DEFINE("_FB_FLASH_WIDTH_DESCR",	"Width and height of the flash-object on the page. These values must exceed the width and height of book pages. Otherwise, the book will not be displayed full size."); 
DEFINE("_FB_BOOK_WIDTH_DESCR",	"Width and height of book pages.");
DEFINE("_FB_PAGE_BG_COLOR_DESCR",	"Page background color. Color must be expressed in the 0xRRGGBB format where RRGGBB is a hexadecimal representation of a color. For example, the color 0xFF0000 represents red."); 
DEFINE("_FB_ROTATION_DESCR",	"Various angles may be used for different purposes. For example, the 90-degree angle may be used for a flip calendar."); 
DEFINE("_FB_AUTO_FLIP_DESCR",	"Pixel width and height of an area around a page corner by which you can flip the page. We recommend a value in the range of 50 to 100 depending on the size of the book page. To disable this option, enter 0."); 
DEFINE("_FB_STATIC_SHADOW_DEPTH_DESCR",	"Shadow depth on a page at rest. We recommend a value of 1 - 2. To disable static shadow, enter 0.");
DEFINE("_FB_DYNAMIC_SHADOW_DEPTH_DESCR",	"Shadow depth on a page as it flips. We recommend a value of 1 - 2. To disable dynamic shadow, enter 0.");
DEFINE("_FB_URL_BOOK_DESCR",	"Address where this book will be available. You may use this address to tie a book to a menu item."); 
DEFINE("_FB_SHOW_ALL_BOOKS",	"Show all books"); 

	//PAGE EDITOR
DEFINE("_FB_EDIT_PAGE",	"Edit page"); 
DEFINE("_FB_PAGE_FILE",	"Page file"); 
DEFINE("_FB_BOOK",	"Book"); 
DEFINE("_FB_PAGE_FILE_DESCR",	"Select a file with an image you'd like to be displayed on the book page. Only JPG or SWF files may be used as book pages."); 
DEFINE("_FB_BOOK_DESCR",	"This parameter determines the belonging of a page to a particular book. If you move this page to a different book, be sure to check its order in the book."); 
DEFINE("_FB_FILTER",	"Filter"); 
DEFINE("_FB_NEW_PAGE",	"New page"); 

//MESSAGES
DEFINE("_FB_UPLOAD_FAILED",	"Upload failed. A file with this name already exists. Use the file manager to delete or rename the existing file."); 
DEFINE("_FB_INVALID_FILE_TYPE",	"The component does not support files with this extension. Please check file extension. Supported extensions: JPG, GIF, PNG, BMP, SWF, MP3!"); 
DEFINE("_FB_CHECK_RIGHTS",	"File upload failed. Please check your access rights to the [Joomla rot]/images/flippingbook directory"); 
DEFINE("_FB_UPLOAD_SUCCESS",	"Upload completed successfully."); 
DEFINE("_FB_DELET_FAILED",	"One or several files selected for deletion are linked to book pages or book image. None of the selected files has been deleted!"); 
DEFINE("_FB_FILE_DELETED",	"File deleted successfully."); 
DEFINE("_FB_RENAME_ERROR",	"File selected for renaming is linked to book pages or book image. File could not be renamed!"); 
DEFINE("_FB_RENAME_ERROR_INCORRECT_NAME",	"Filename may not contain server extensions: php, php3, php4, php5, php6, js, htm, html, phtml, cgi, pl, perl, asp. Valid extensions: JPG, GIF, PNG, BMP, SWF, MP3.");
DEFINE("_FB_RENAMED_TO",	" renamed to "); 
DEFINE("_FB_FILE",	"File "); 
DEFINE("_FB_INCORRECT_FILE_NAME",	"Could not rename file! Check if a file with the same name already exists. Make sure the new name does not contain invalid characters. To ensure full compatibility, we recommend that you only use Latin characters and numerals."); 
DEFINE("_FB_BOOK_REMOVED",	"Book(s) and relevant pages removed."); 
DEFINE("_FB_PAGE_REMOVED",	"Page(s) removed");
DEFINE("_FB_CONFIGURATION_SAVED",	"Configuration saved");
DEFINE("_FB_BOOK_SAVED",	"Book saved"); 
DEFINE("_FB_PAGE_SAVED",	"Page saved"); 

	//NAVIGATION BAR
DEFINE("_FB_SAVE",	"Save");
DEFINE("_FB_CANCEL",	"Cancel");
DEFINE("_FB_MAIN",	"Main"); 
DEFINE("_FB_CONFIG",	"Configuration");
DEFINE("_FB_BOOKS",	"Books");
DEFINE("_FB_PAGES",	"Pages");
DEFINE("_FB_FILES",	"Files"); 
DEFINE("_FB_UPLOAD",	"Upload"); 
DEFINE("_FB_SAVE_BOOK",	"Save book");
DEFINE("_FB_SAVE_PAGE",	"Save page");
DEFINE("_FB_EDIT",	"Edit");
DEFINE("_FB_BUTTON_NEW_BOOK",	"New book");
DEFINE("_FB_DELETE",	"Delete");
DEFINE("_FB_BUTTON_NEW_PAGE",	"New page");
?>
